/*
** $VER: CallMan-Export.rexx 1.0 (23.02.98)
**
** Exports the CallMan database into an ASCII file.
** Requires "rexxreqtools.library" !
*/

ADDRESS 'CALLMAN'

OPTIONS RESULTS

IF ~SHOW(LIBRARIES,'rexxsupport.library') THEN DO
    IF ~ADDLIB('rexxsupport.library',0,-30,0) THEN DO
        EXIT 10
    END
END

IF ~SHOW(LIBRARIES,'rexxreqtools.library') THEN DO
    IF ~ADDLIB('rexxreqtools.library',0,-30,0) THEN DO
        EXIT 10
    END
END


IF ~SHOW(PORTS,'CALLMAN') THEN DO
    SAY 'Bitte erst CallMan starten!'
    EXIT
END

NL = "0a"x

NUMBEROFENTRIES
numofentries = RESULT

IF numofentries = 0 THEN DO
    CALL rtezrequest("No database entries found!", "OK")
END

filename = rtfilerequest("", "", "Choose the export file", "Export", 'rtfi_flags=freqf_save', )

IF ~OPEN(Exportfile, filename, "W") THEN DO
    SAY "Kann die Datei nicht ffnen!"
    CALL rtezrequest("Can't open file!", "OK")
    EXIT
END

DO x = 1 to numofentries
    GETENTRY x ENTRY
    Line = WriteLn(Exportfile, ENTRY.NAME || NL ||,
                               ENTRY.SURNAME || NL ||,
                               ENTRY.STREET || NL ||,
                               ENTRY.AREACODE || NL ||,
                               ENTRY.CITY || NL ||,
                               ENTRY.COUNTRY || NL ||,
                               ENTRY.BIRTHDAY || NL ||,
                               ENTRY.PROFESSION || NL ||,
                               ENTRY.PHONENUMBERS || NL ||,
                               ENTRY.EMAILS || NL ||,
                               ENTRY.NOTES || NL ||,
                               ENTRY.NAMEOFBANK || NL ||,
                               ENTRY.BANKCODE || NL ||,
                               ENTRY.BANKACCOUNT || NL ||,
                               ENTRY.CONSULTANT || NL ||,
                               ENTRY.CUSTOMERACCOUNT,
                               )
END

CALL CLOSE(Exportfile)


EXIT
